' === FRAMdataReader.bas ===================================================

' Program reads each line of FRAM data, and sends it to the terminal window.
' Processing stops when the EOF character has been read and transmitted.

' === Directives =====
  #com 3                          'specify serial port
  #picaxe 08M2                    'specify processor
  #terminal 19200                 'open terminal window
  #no_data                        'save time downloading

' === Constants ======
  symbol     EOF = 255            'end of file marker

' === Variables ======
  symbol FRAMloc = w0             'FRAM storage location
  symbol  minute = w1             'time in minutes
  symbol    minL = b2             'lo byte of minute word variable
  symbol    minH = b3             'hi byte of minute word variable
  symbol   tempF = w2             'temperature in degrees Fahrenheit
  symbol  tempFL = b4             'lo byte of tempF word variable
  symbol  tempFH = b5             'hi byte of tempF word variable
   
' === Begin Main Program ===================================================
  hi2csetup i2cmaster,0xA0,i2cfast_16,i2cword
  setfreq m16

  sertxd ("Time,Temp",CR,LF)               'column headers for excel

do                                         'process until EOF
  hi2cin FRAMloc,(minL,minH,tempFL,tempFH) 'get each line of data
  sertxd (#minute,",",#tempF,CR,LF)        'send formatted ASCII to terminal
  FRAMloc = FRAMloc + 4                    'prepare for processing next line
loop until minH = EOF                      'stop sending data at EOF